[openwrt/openwrt] opkg: fix stray \ warnings with grep-3.8

LEDE Commits lede-commits at lists.infradead.org
Mon May 13 15:27:40 PDT 2024


nick pushed a commit to openwrt/openwrt.git, branch main:
https://git.openwrt.org/eb1b0220439262d6fff2a2e2180b87db27390905

commit eb1b0220439262d6fff2a2e2180b87db27390905
Author: Georgi Valkov <gvalkov at gmail.com>
AuthorDate: Wed Sep 14 10:26:03 2022 +0300

    opkg: fix stray \ warnings with grep-3.8
    
    We simply grep for "src/". So no need for "\/".
    Furthermore, since grep-3.8 this creates warnings.
    
    As written in the grep-3.8 announcement:
      Regular expressions with stray backslashes now cause warnings, as
      their unspecified behavior can lead to unexpected results.
      For example, '\a' and 'a' are not always equivalent
      <https://bugs.gnu.org/39678>.
    
    Fixes a warning during the first boot:
      grep: warning: stray \ before /
    
    Signed-off-by: Georgi Valkov <gvalkov at gmail.com>
---
 package/system/opkg/files/20_migrate-feeds | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/package/system/opkg/files/20_migrate-feeds b/package/system/opkg/files/20_migrate-feeds
index 38cc57c467..a4bd725758 100644
--- a/package/system/opkg/files/20_migrate-feeds
+++ b/package/system/opkg/files/20_migrate-feeds
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-[ -f /etc/opkg.conf ] && grep -q "src\/" /etc/opkg.conf || exit 0
+[ -f /etc/opkg.conf ] && grep -q "src/" /etc/opkg.conf || exit 0
 
 echo -e "# Old feeds from previous image\n# Uncomment to reenable\n" >> /etc/opkg/customfeeds.conf
 sed -n "s/.*\(src\/.*\)/# \1/p" /etc/opkg.conf >> /etc/opkg/customfeeds.conf




More information about the lede-commits mailing list